## jemalloc 2.2.1

=== debian/changelog ===
jemalloc (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #613442)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 26 Apr 2011 13:45:19 +0200
