=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

ifneq  ($(realpath jemalloc/Makefile),)
override_dh_auto_clean:
	make -C jemalloc relclean
	rm -f jemalloc/changelog
endif

override_dh_auto_configure:
	cd jemalloc && ./autogen.sh --prefix=/usr

override_dh_auto_build:
	make -C jemalloc all doc

override_dh_auto_test:
	make -C jemalloc check

override_dh_auto_install:
	make -C jemalloc install_include install_lib DESTDIR=$(CURDIR)/debian/tmp
	install jemalloc/ChangeLog jemalloc/changelog
