## jemalloc 2.2.5

=== debian/changelog ===
jemalloc (2.2.5-1) unstable; urgency=low

  * New upstream release (Closes: #650627)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 01 Dec 2011 15:39:44 +0100

jemalloc (2.2.3-1) unstable; urgency=low

  * New upstream release
  * Use upstream tarball instead of git repo

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 18 Sep 2011 12:39:33 +0200

jemalloc (2.2.2-1) unstable; urgency=low

  * New upstream release
  * Remove patch included upstream
  * Bump debhelper compat level (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 13 Aug 2011 11:59:48 +0200
