=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel

override_dh_auto_build:
	make all doc

override_dh_auto_test:
	make check

override_dh_auto_install:
	make install_include install_lib DESTDIR=$(CURDIR)/debian/tmp
