## jemalloc 3.0.0

=== debian/changelog ===
jemalloc (3.0.0-3) unstable; urgency=low

  [ Robert S. Edmonds ]
  * Create debug symbols package (Closes: #663929)

  [ Stig Sandbeck Mathisen ]
  * Add doc-base for libjemalloc
  * Remove unnecessary patch for kfreebsd, we do not build for that
    architecture
  * Update debian/copyright

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 May 2012 19:54:42 +0200

jemalloc (3.0.0-2) unstable; urgency=low

  * Exclude the hurd-* and kfreebsd-* architectures

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 19 May 2012 14:05:19 +0200

jemalloc (3.0.0-1) unstable; urgency=low

  * New upstream version
  * Build on all architectures
  * Patch "configure" to know about "*-*-kfreebsd*"

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 May 2012 12:52:31 +0200

jemalloc (2.2.5-2) unstable; urgency=low

  * Fix FTBFS (Closes: #624325)
    * Add patch for missing LG_QUANTUM values for "sparc" and "s390"
    * Restrict architectures to "linux-any and not armel"
  * Bump standards version (no changes)
  * Use debhelper compat level 9, and multiarch

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 May 2012 22:29:12 +0200
