=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DH_VERBOSE=1
 
 %:
 	dh $@ --parallel
@@ -12,3 +14,7 @@
 
 override_dh_auto_install:
 	make install_include install_lib DESTDIR=$(CURDIR)/debian/tmp
+
+override_dh_strip:
+	dh_strip -p libjemalloc1 --dbg-package=libjemalloc1-dbg
+	dh_strip -a --remaining-packages
