## jemalloc 3.3.1

=== debian/changelog ===
jemalloc (3.3.1-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 05 May 2013 12:52:28 +0200
