## jemalloc 3.4.1

=== debian/changelog ===
jemalloc (3.4.1-1) unstable; urgency=low

  * Imported upstream version 3.4.1
  * Add LG_QUANTUM=4 for sparc64 (Closes: #727748)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Nov 2013 13:02:23 +0100

jemalloc (3.4.0-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Imported upstream version 3.4.0

  [ Roland Stigge ]
  * add arch powerpcspe (Closes: #706267)

  [ Stig Sandbeck Mathisen ]
  * Bump standards version
  * Replace LG_QUANTUM patch with build flags for arch sparc
  * Build on any architecture, add build flags for kfreebsd and hurd

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 07 Sep 2013 19:20:58 +0200
