=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  docbook-xsl,
  xsltproc,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.canonware.com/jemalloc/
 Vcs-Git: git://git.debian.org/collab-maint/jemalloc.git
@@ -24,7 +24,7 @@
  multi-threaded processes on multi-processor systems.
 
 Package: libjemalloc1
-Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
+Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: general-purpose scalable concurrent malloc(3) implementation
