=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,25 @@
 # -*- makefile -*-
 
 export DH_VERBOSE=1
+
+DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+
+ifneq (,$(findstring $(DEB_BUILD_ARCH),sparc sparc64))
+  $(warning XXX deb build arch triggers LG_QUANTUM define)
+  CPPFLAGS += -DLG_QUANTUM=4
+endif
+
+ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+  CPPFLAGS += -DJEMALLOC_PURGE_MADVISE_FREE
+endif
+
+ifeq ($(DEB_BUILD_ARCH_OS),hurd)
+  # Fake a PATH_MAX when building on Hurd to keep jemalloc happy
+  CPPFLAGS += -DPATH_MAX=8192
+endif
+
+export CPPFLAGS
 
 %:
 	dh $@ --parallel
