## jemalloc 3.5.1

=== debian/changelog ===
jemalloc (3.5.1-2) unstable; urgency=medium

  * Import patch to fix powerpc build failure (upstream 9e20df1)
  * Build with -maltivec on powerpc
  * Disable build tests on some architectures due to errors in the test code

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 10 Mar 2014 11:44:07 +0100

jemalloc (3.5.1-1) unstable; urgency=medium

  * Imported upstream release 3.5.1
  * [0bd04da] Drop "build test" patch included in this release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 05 Mar 2014 14:09:42 +0100

jemalloc (3.5.0-2) unstable; urgency=medium

  * Import upstream patch to make build tests work (Closes: #736582)
  * debian/rules: Use DEB_<FLAG>_MAINT_APPEND

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 22 Feb 2014 11:04:26 +0100

jemalloc (3.5.0-1) unstable; urgency=medium

  * Imported upstream release 3.5.0
  * Add DEP-8 tests
  * Add -std=gnu99 to CFLAGS
  * Bump standards version (no changes)
  * Update symbols file

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Jan 2014 22:40:18 +0100
