=== debian/tests/control ===
Tests: run-tests
Depends: @,gcc,perl
