=== debian/watch ===
version=3
http://www.canonware.com/jemalloc/download.html http://www.canonware.com/download/jemalloc/jemalloc-(.*)\.tar\.bz2
