## jemalloc 3.6.0

=== debian/changelog ===
jemalloc (3.6.0-9ubuntu1) xenial; urgency=medium

  * Don't assume SSE instructions on i386.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 12:37:45 +0100

jemalloc (3.6.0-9) unstable; urgency=medium

  [ Balint Reczey ]
  * [d9db38e] Suppress intentional alignment issue detection in Address
    Sanitizer (Closes: #812874)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 27 Jan 2016 22:19:43 +0100

jemalloc (3.6.0-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * [2bdd4eb] Honour DEB_BUILD_OPTIONS=nocheck (Closes: #807532)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 19 Dec 2015 18:58:44 +0100

jemalloc (3.6.0-7) unstable; urgency=medium

  * [6985721] Use DEB_HOST_* instead of DEB_BUILD_*
    Thanks to Helmut Grohne (Closes: #808174)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 19 Dec 2015 10:22:35 +0100

jemalloc (3.6.0-6) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * [f1dbdfd] Build with -DLG_QUANTUM=3 on m68k (Closes: #807554)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 13 Dec 2015 19:54:59 +0100

jemalloc (3.6.0-5) unstable; urgency=medium

  * [7830a16] Revert "Enable allocator profiling capabilities"
    (Closes: #807548)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 10 Dec 2015 21:02:04 +0100

jemalloc (3.6.0-4) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * [690dfc4] Declare compliance with Debian policy 3.9.6

  [ Giuseppe Lavagetto ]
  * [ee6613a] Enable allocator profiling capabilities (Closes: #767342)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 Dec 2015 12:37:42 +0100

jemalloc (3.6.0-3) unstable; urgency=medium

  * debian/control: update Vcs-Browser, Testsuite
  * rebuild (Closes: #756783)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 15 Sep 2014 20:58:29 +0200

jemalloc (3.6.0-2) unstable; urgency=medium

  * Support architecture «or1k»
    Thanks to Manuel A. Fernandez Montecelo (Closes: #749007)
  * autopkgtest: add missing test dependency on libc6-dev (Closes: #755752)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 23 Jul 2014 10:24:05 +0200

jemalloc (3.6.0-1) unstable; urgency=medium

  * Imported upstream release 3.6.0
  * Enable build tests on all architectures
  * Drop backported patch included in this release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 Apr 2014 13:34:13 +0200
