=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  debhelper (>= 9),
  docbook-xsl,
  xsltproc,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.canonware.com/jemalloc/
-Vcs-Git: git://git.debian.org/collab-maint/jemalloc.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/jemalloc.git;a=summary
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/collab-maint/jemalloc.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/jemalloc.git/
+Testsuite: autopkgtest
 
 Package: libjemalloc-dev
 Section: libdevel
