## jemalloc 5.1.0

=== debian/changelog ===
jemalloc (5.1.0-3) unstable; urgency=medium

  * Build with -pthread instead of -lpthread, hopefully really fixing the
    FTBFS on riscv64 this time. (Closes: #892295)
  * Backport an upstream patch that more lazily initializes the libgcc unwind
    initialization, and thus avoid the kind of deadlocks we've been seeing
    with fakechroot. See #918742 or upstream #1438 for more context.
  * Ship /usr/bin/jeprof in libjemalloc-dev, and ship a manpage for it out of
    debian/.
  * Set myself as the Maintainer. Thanks to Stig for all of his past efforts!

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 23 Feb 2019 13:52:18 +0200

jemalloc (5.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compatibility level to 11.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Update debian/copyright:
    - Include years 2018 and 2019.
    - Use https to point to debian.org.
  * Add Build-Depends-Package to libjemalloc2.symbols.
  * autopkgtest: remove embedded code copy of sharness. (Closes: #906630)

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 07 Jan 2019 20:56:52 +0200

jemalloc (5.1.0-1) experimental; urgency=medium

  * New upstream release.
    - Drop GNU/kFreeBSD support patch, merged upstream.
    - Drop m68k, nios2 and SH3 support patch, merged upstream.
    - Fixes a number of portability bugs in non-x86 architectures. See
      upstream bugs #734, 761, #979, #985, #999 for more information about
      these.
    - Adds support for the 64-bit RISC-V architecture (Closes: #892295)
  * Fix FTBFS on 32-bit architectures by adjusting the symbols file for
    symbols that used std::size_t which varies per architecture.
    (Closes: #877261)
  * Build with a 64K page size on all architectures except x86, to avoid
    having to maintain a whitelist of newer architectures.
  * Set the hugepage size statically to 2MB, thus bypassing a build-time check
    against the build machine's /proc/meminfo.
  * Add support for multi-arch to libjemalloc2 (Multi-Arch: same).
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Drop Testsuite field from debian/control, unnecessary nowadays.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 27 May 2018 00:36:03 +0300

jemalloc (5.0.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #809239)
    - Rename to libjemalloc2 to account for upstream's ABI/SONAME bump.
    - Update debian/copyright.
    - Drop patch disable-HAVE_SSE2, was a backport
    - Update GNU/kFreeBSD support patch.
  * Build with a 64k page size on arm64, mips, mips64el, mipsel, powerpc,
    ppc64 and ppc64el. (Closes: #843926)
  * Move the m68k, nios2 and SH3 architecture support from debian/rules to
    debian/patches and forward it upstream.
  * Drop the attempts at Hurd support. They haven't worked, more issues were
    introduced with 5.0.1 and, in general, it's debatable whether building a
    memory allocator optimized for multiprocessing on an architecture that
    doesn't support SMP is of any value.
  * Cleanup debian/rules from old compiler flags and other artifacts.
  * Bump Standards-Version to 4.0.1.
  * Ship pkg-config file in libjemalloc-dev.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 12 Aug 2017 00:57:08 +0300

jemalloc (3.6.0-11) unstable; urgency=medium

  * Re-disable allocator profiling, as it breaks unrelated software such as
    fakechroot. (Closes: #872669)

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 25 Aug 2017 18:54:58 +0300

jemalloc (3.6.0-10) unstable; urgency=medium

  * Bump debhelper compatibility level to 10.
    - Remove --parallel from dh invocation, as this is now the default.
    - Workaround a build failure due to autoreconf being called by default.
    - Remove automake build dependency, as this is now implicit.
  * Migrate from a custom -dbg package to dbgsyms.
  * Bump Priority to optional, as libjemalloc has multiple reverse
    dependencies that are Priority: optional.
  * Actually regenerate the docs, as originally intended.
  * Set the embedded VERSION to the Debian package version.
  * Remove unused/no-op debian/rules targets.
  * Include dpkg's architecture.mk for DEB_HOST_ARCH.
  * Multiple debian/copyright fixes:
    - Update copyright years.
    - Merge Facebook's BSD-3-Clause copyright section into the main
      BSD-2-Clause section, as the licenses were unified back in version 3.0.0
      (see ChangeLog).
    - Adjust the licensing section for bin/pprof
    - Add missing copyright sections for:
      + debian/tests/sharness.sh (GPL-2.0+)
      + test/unit/hash.c (Expat)
      + SFMT files (BSD-3-Clause)
    - Update license stanza for debian/'s copyright.
  * Update debian/watch, upstream has moved their releases to GitHub.
  * Use HTTPS for Vcs-Git/Vcs-Browser.
  * Update Homepage to point to http://jemalloc.net/.
  * Bump Standards-Version to 4.0.0.
  * Backport an upstream patch from 4.0 that disables SSE2. This rolls back
    the patch that was introduced in 3.6.0-9.1 to address #834746.
    (Closes: #812989)
  * Multiple portability fixes:
    - Build with -DLG_QUANTUM=4 on sh3.
      Thanks to John Paul Adrian Glaubitz (Closes: #863424)
    - Build with -DLG_QUANTUM=3 on nios2.
      Thanks to Marek Vasut (Closes: #816236)
    - dd support for GNU Hurd to configure.ac (Closes: #828871)
    - dd support for GNU/kFreeBSD to configure.ac.
    - dd support for non-glibc architectures.
      Thanks to Helmut Grohne (Closes: #818095)
  * Re-enable allocator profiling, but only for i386/amd64 where we know it
    works and is supported by upstream. (Closes: #767342)
  * Add myself (Faidon) to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 06 Aug 2017 19:41:28 +0300

jemalloc (3.6.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add testflags.patch which adds a TESTFLAGS env var support when
    compiling tests.
  * Add -msse4.1 to i386 TESTFLAGS (Closes: #834746)


