=== debian/control ===
Source: jemalloc
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends:
 debhelper (>= 11~),
 docbook-xsl,
 xsltproc,
Standards-Version: 4.3.0
Section: libs
Homepage: http://jemalloc.net/
Vcs-Browser: https://salsa.debian.org/debian/jemalloc
Vcs-Git: https://salsa.debian.org/debian/jemalloc.git

Package: libjemalloc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libjemalloc2 (= ${binary:Version})
Suggests: binutils
Description: development files and documentation for jemalloc
 Files used for development with jemalloc. This package contains
 headers and documentation.
 .
 jemalloc is a library providing a malloc(3) implementation for
 multi-threaded processes on multi-processor systems.

Package: libjemalloc2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: general-purpose scalable concurrent malloc(3) implementation
 A library providing a malloc(3) implementation for multi-threaded processes on
 multi-processor systems.
 .
 Notable features are reduced lock contention, predictable low fragmentation,
 and introspection with heap profiling.
