=== debian/tests/control ===
Tests: run-tests
Depends: @,gcc,perl,libc6-dev,sharness
