## jemalloc 5.2.1

=== debian/changelog ===
jemalloc (5.2.1-4ubuntu1) jammy; urgency=medium

  * debian/libjemalloc2.symbols: remove all malloc_hooks symbols, as with glibc
    2.34 support for those has been dropped completely. Should fix FTBFS.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 24 Jan 2022 13:25:13 +0100

jemalloc (5.2.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes needed.
  * Use SYS_openat for THP when available. This prevents jemalloc from using a
    glibc open() call as a fallback, which in turn caused a deadlock with
    other binaries that tried to LD_PRELOAD and override open (at least
    fakechroot). Many thanks to Aurelien Jarno for identifying the culprit,
    identifying the upstream fix, and testing it. (Closes: #997051)
  * Add support for the "arc" architecture. Thanks to Vineet Gupta for adding
    the support upstream and also filing the Debian bug. (Closes: #989444)

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 25 Oct 2021 13:42:03 +0300

jemalloc (5.2.1-3) unstable; urgency=medium

  * Add docbook-xml to Build-Depends, to avoid xsltproc accessing the network
    to fetch docbookx.dtd. Thanks to Helmum Grohne for the report and fix.
    (Closes: #985971)

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 27 Mar 2021 10:33:42 +0200

jemalloc (5.2.1-2) unstable; urgency=medium

  * Make autopkgtests cross-test-friendly. (Closes: #955557)
  * Replace deprecated variable ADTTMP with AUTOPKGTEST_TMP in autopkgtests.
  * Try to reenable support for Hurd. (Closes: #828871)
  * Add Rules-Requires-Root: no, to allow building the package without root.
  * Add support for the "nodoc" build profile.
  * General package hygiene:
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.5.1, no changes needed.
    - Bump watch to version 4.
    - Add upstream metadata.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 10 Jan 2021 01:36:20 +0200

jemalloc (5.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch 0001-Replace-lpthread-with-pthread, merged upstream.
    - Drop patch 0002-Guard-libgcc-unwind-init-with-opt_prof, was a backport.
    - Update symbols file to reflect the rename of two internal symbols
      (je_test_hooks_arena_new_hook and je_test_hooks_libc_hook).
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper compat level to 12.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 05 Sep 2019 02:17:17 +0300
