=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: jemalloc
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends:
- debhelper (>= 11~),
- docbook-xsl,
- xsltproc,
-Standards-Version: 4.3.0
+ debhelper-compat (= 13),
+ docbook-xml <!nodoc>,
+ docbook-xsl <!nodoc>,
+ xsltproc <!nodoc>,
+Standards-Version: 4.6.0
 Section: libs
 Homepage: http://jemalloc.net/
 Vcs-Browser: https://salsa.debian.org/debian/jemalloc
 Vcs-Git: https://salsa.debian.org/debian/jemalloc.git
+Rules-Requires-Root: no
 
 Package: libjemalloc-dev
 Section: libdevel
