=== debian/watch ===
version=4
https://github.com/jemalloc/jemalloc/releases/ .+/jemalloc-(\d\.\d+\.\d+).tar.bz2
