## jemalloc 5.3.0

=== debian/changelog ===
jemalloc (5.3.0-4) unstable; urgency=medium

  * Do not assume altivec on powerpc. (Closes: #1105139)
  * Remove kfreebsd-* from debian/rules, as these ports have long been dead
    and removed fromd Debian ports.
  * Update debian/watch to version 5.
  * Remove Priority: optional, as this is the dpkg default nowadays.
  * Bump Standards-Version to 4.7.3, no further changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 02 Jan 2026 13:34:30 +0200

jemalloc (5.3.0-3) unstable; urgency=medium

  * Backport an upstream commit to disable builtin malloc in tests, resolving
    a GCC 15 FTBFS. (Closes: #1096872)
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 03 Mar 2025 11:49:22 +0200

jemalloc (5.3.0-2) unstable; urgency=medium

  * Remove loongarch64 patch: it was unnecessary and rejected upstream, per
    upstream PR #2354.
  * Update GNU/Hurd patch, which combined with a newer glibc, should now
    finally work. Many thanks to Samuel Thibault.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 12 Sep 2023 17:39:58 +0300

jemalloc (5.3.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Backport upstream PR to define LG_QUANTUM for the loongarch64
    architecture. (Closes: #1024319)
  * Switch debian/watch to the GitHub API, as the old scraping method did not
    work anymore.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 07 Jan 2023 01:29:53 +0200

jemalloc (5.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Drop upstream backport patches:
      + use-SYS_openat-when-available
      + ARC-add-Minimum-allocation-alignment
      + Prefer-getaffinity-to-detect-number-of-CPUs
    - Add new C++17 symbols for over-aligned allocation symbols.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 30 Dec 2022 13:29:23 +0200

jemalloc (5.2.1-5) unstable; urgency=high

  * Urgency high for a targeted RC bug fix.
  * Mark the export of malloc hook symbols as optional in
    libjemalloc2.symbols. malloc_hook APIs have been removed from glibc 2.34,
    which results into JEMALLOC_GLIBC_MALLOC_HOOK being undefined, and those
    symbols as not being exported. Fixes FTBFS. (Closes: #1017269)
  * Backport upstream commit a787d2f5b, as previously
    JEMALLOC_GLIBC_MALLOC_HOOK was used as a test for a new-enough glibc.
    Update hurd.patch to sit on top of that change.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 20 Aug 2022 18:09:00 +0300
