=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: jemalloc
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Section: libs
-Homepage: http://jemalloc.net/
+Homepage: https://jemalloc.net/
 Vcs-Browser: https://salsa.debian.org/debian/jemalloc
 Vcs-Git: https://salsa.debian.org/debian/jemalloc.git
 Rules-Requires-Root: no
